/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/


.cyclic-report-form {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
  padding: 0;
  width: 100%;
}

.cyclic-report-form-column {
  flex: 1 1 25em;
  width: 25em;
  margin: 0 15px;

  display: flex;
  flex-flow: column;

  & > * {
    margin-bottom: 0.75em;
  }
}

.cyclic-report-form-error {
  margin-left: auto;
  margin-right: auto;
}

.cyclic-report-form-label {
  display: inline-block;
  padding: calc(.375rem + 1px) 1rem calc(.375rem + 1px) 0;
  line-height: 1.5;
  margin: 0;
  min-width: 10rem;
}

.cyclic-report-form-textarea {
  min-height: calc(5 * 1.5em + 1em);
}

.cyclic-report-form-info {
  padding: 0 1em 0 1em;
}
